<template>
    <navbar />
    <div class="w-full p-8">
        <div class="flex flex-col bg-white w-full items-center p-5 gap-5 rounded">
            <p class="text-2xl"><strong>Administración</strong></p>
            <p class="text-lg">Asignar Apoderado a Alumno</p>
            <div class="flex justify-center gap-5 w-1/2">
                <div class="flex flex-col items-center gap-2" v-if="alumno">
                    <strong class="text-md">Alumno</strong>
                    <p>{{ alumno.usuId }} - {{ alumno.nombre }} {{ alumno.apellidoPaterno }} {{ alumno.apellidoMaterno }}</p>
                </div>
                <div class="flex flex-col items-center gap-2">
                    <strong class="text-md">Apoderado</strong>
                    <select class="w-full select select-sm" v-model="apoderadoId">
                        <option v-for="apoderado in apoderados" :key="apoderado" :value="apoderado.usuId">
                            {{ apoderado.usuId }} - {{ apoderado.nombre }} {{ apoderado.apellidoPaterno }}
                            {{ apoderado.apellidoMaterno }}
                        </option>
                    </select>
                </div>
            </div>
            <div>
                <p v-if="msg">{{msg}}</p>
            </div>
            <div class="flex gap-2">
                <a class="btn btn-secondary" :href="'/admin'">Volver</a>
                <a class="btn btn-primary" @click="asignarApoderado()">Confirmar</a>
            </div>
        </div>
    </div>
</template>

<script>
import axios from 'axios'
import navbar from '../../components/Navbar.vue'

export default {
    components: { navbar },
    props: {
        id: String
    },
    data() {
        return {
            alumno: {},
            apoderados: {},
            apoderadoId: "",
            alumnoId: "",
            msg: null
        }
    },
    mounted() {
        axios.get('cuentas/usuarios/' + this.id, {
            headers: {
                Authorization: localStorage.getItem('auth')
            }
        }).then(res => {
            this.alumno = res.data
            this.alumnoId = this.alumno.usuId
            this.apoderadoId = this.alumno.apoderado
        })
        axios.get('cuentas/usuarios/rol/APODERADO', {
            headers: {
                Authorization: localStorage.getItem('auth')
            }
        }).then(res => {
            this.apoderados = res.data
        })
    },
    methods: {
        asignarApoderado() {
            axios.put('cuentas/editar/alumno/asignar-apoderado', [], {
                headers: {
                    Authorization: localStorage.getItem('auth')
                },
                params: {
                    'apoderadoId': this.apoderadoId,
                    'alumnoId': this.alumnoId
                }
            }).then(res => {
                console.log(res)
                this.msg = res.data

            }).catch(err => {
                console.log(err)
                this.msg = err
            })
        }
    }
}
</script>

<style>

</style>